aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/KeyBinds.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2024-09-20 13:59:54 +0900
committerJaKooLit <ejhay.games@gmail.com>2024-09-20 13:59:54 +0900
commit765642c6beff60ccc75e56512a33fc3b6ef47a74 (patch)
treefd65688709348f6f6f3f52249a233e087d60372c /config/hypr/scripts/KeyBinds.sh
parent345f2a161f4e72868e7645b4183293977665b003 (diff)
it seems pgrep aint working properly in nixos. So ultimately, just adding pkill yad when launching KeyBinds.sh
Diffstat (limited to 'config/hypr/scripts/KeyBinds.sh')
-rwxr-xr-xconfig/hypr/scripts/KeyBinds.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/config/hypr/scripts/KeyBinds.sh b/config/hypr/scripts/KeyBinds.sh
index 01764f0f..10cb0f51 100755
--- a/config/hypr/scripts/KeyBinds.sh
+++ b/config/hypr/scripts/KeyBinds.sh
@@ -3,10 +3,9 @@
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
# Searchable enabled keybinds using rofi
-# Check if yad is running and kill it if it is
-if pgrep -x "yad" > /dev/null; then
- pkill yad
-fi
+# Kill yad to not interfere with this binds
+pkill yad || true
+
# Define the config files
KEYBINDS_CONF="$HOME/.config/hypr/configs/Keybinds.conf"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage